variable "applications" {
  type = list(object({
    id                  = string
    create_registration = bool
    enabled             = bool
  }))
  description = "List of application configurations for Google IDP"
}

variable "fusionauth_api_key" {
  type        = string
  sensitive   = true
  description = "FusionAuth API Key"
}

variable "fusionauth_uri" {
  type        = string
  description = "FusionAuth instance URI"
}

variable "google_client_id" {
  type        = string
  description = "Google OAuth Client ID"
}

variable "google_client_secret" {
  type        = string
  sensitive   = true
  description = "Google OAuth Client Secret"
}

variable "wait_on" {
  type        = any
  description = "Resources to wait on"
  default     = true
}
